Skip to main content

Get list of credentials​

List of Credentials

Query Parameters
  • accountType string

    Possible values: [WINDOWSACCOUNT, LINUXACCOUNT, STORAGE_ARRAY_ACCOUNT, NDMPACCOUNT, SERVER_USER_ACCOUNT, ACCESS_TOKEN, KUBERNETES_SERVICE_ACCOUNT, SNAP_CONFIGURATION_ACCOUNT, DATABASE_ACCOUNT, BIG_DATA_APPS_ACCOUNT, PSA_ACCOUNT, CLOUD_ACCOUNT]

    Filter credentials by account type

  • vendorType string

    Possible values: [AMAZON, MICROSOFT_AZURE_TYPE, OKTA, GITHUB, GOOGLE_CLOUD_PLATFORM, AZURE_STACK_HUB, SERVICENOW, ATLASSIAN, S3_VAULT_KEYS, HDS_HCP, IBM_CLOUD, OPENSTACK, RACKSPACE_CLOUD_FILES, SALESFORCE_CONNECTED_APP, ORACLE_CLOUD_INFRASTRUCTURE, VMWARE_CLOUD_OAUTH_APP, WIZ, CYBER_ARK, BEYOND_TRUST, DELINEA, AZURE_CREDENTIAL, HASHICORP, ATT_SYNAPTIC, EMC_ATMOS, CONNECTWISE_ACCOUNT, AUTOTASK_ACCOUNT, HALO_ACCOUNT, AMPLIDATA, CMCC_ONEST, VERIZON_CLOUD, ALICLOUD_OSS, HUAWEI_OSS, TELEFONICA_OPEN_CLOUD_OBJECT_STORAGE, INSPUR_CLOUD, KINGSOFT_KS3, IRON_MOUNTAIN_CLOUD, S3_COMPATIBLE, AMAZON_GLACIER, HPE_CATALYST, CEPH_OBJECT_GATEWAY_S3, CLOUDIAN_HYPERSTORE, DELL_EMC_ECS_S3, FUJITSU_STORAGE_ETERNUS, HITACHI_VANTARA_HCP_S3, IBM_CLOUD_S3, NETAPP_STORAGEGRID, REVERA_VAULT, SCALITY_RING, WASABI_HOT_CLOUD_STORAGE, NUTANIX_BUCKETS, HITACHI_VANTARA_HCP_CLOUD_SCALE_S3, PURE_STORAGE_FLASHBLADE, VAST_DATA]

    Filter credentials by vendor type

  • configurationType string

    Possible values: [CHAP_ACCOUNT, ARRAY_SECRET]

    Filter credentials by configuration type

  • databaseCredentialType string

    Possible values: [MONGODB_SSL_OPTIONS, MONGODB_ACCOUNT, CASSANDRA_ACCOUNT, CASSANDRA_JMX_ACCOUNT, CASSANDRA_KEYSTORE_ACCOUNT, CASSANDRA_TRUSTSTORE_ACCOUNT, HIVE_ACCOUNT, COUCHBASE_ACCOUNT, COCKROACHDB_ACCOUNT, YUGABYTE_ACCOUNT, SPLUNK_ACCOUNT, DATABRICKS_ACCOUNT, SNOWFLAKE_ACCOUNT, SAMPLE_APP_ACCOUNT, PINECONE_ACCOUNT, ORACLE, SAP_ORACLE, SAP_HANA, POSTGRESQL, MYSQL, DB2, INFORMIX, SYBASE, SAP_MAXDB, SQL_SERVER_ACCOUNT, ORACLE_CATALOG_ACCOUNT, DATABASE_ENCRYPTION_KEY]

    Filter credentials by database credential type

  • authType string

    Possible values: [ATLASSIAN_OAUTH_APP, AZURE_AD, AZURE_ADFS, GOOGLE_CLOUD, GOOGLE_SERVICE_ACCOUNT, GITHUB_APP, OKTA_CERTIFICATE, OKTA_SECRET, MICROSOFT_AZURE, AZUREACCOUNT, AZUREACCOUNT_CERTIFICATE, AZUREACCOUNT_SECRET_CERTIFICATE, AZUREACCOUNT_MANAGED_IDENTITY, AZUREACCOUNT_FEDERATED, SERVICENOW_REST_API_KEY, SERVICENOW_USER_ACCOUNT, SERVICENOW_OAUTH_APP, AMAZON_STS_IAM_ROLE, AMAZON_STS, AMAZON_S3]

    Filter credentials by authentication type

Responses

Success


Schema array
    oneOf

  • accountType string

    Possible values: [WINDOWSACCOUNT, LINUXACCOUNT, STORAGE_ARRAY_ACCOUNT, NDMPACCOUNT, SERVER_USER_ACCOUNT, ACCESS_TOKEN, KUBERNETES_SERVICE_ACCOUNT]

    Type of credential account

  • id int32

    Unique identifier for the credential

  • name string

    Display name of the credential

  • description string

    Description of the credential

  • lastModifiedTime int64

    Timestamp of when the credential was last modified (Unix timestamp in milliseconds)

  • company object

    Company information associated with the credential

  • id int32
  • name string
  • commcell object

    Commcell information associated with the credential

  • id int32
  • name string
  • externalCredentialInfo object

    Information about external credential storage if applicable

  • vendorType string

    Type of external credential vendor

  • credentialId int32

    Unique identifier of the external credential

  • credentialName string

    Name of the external credential provider

Loading...